=== modified file 'drizzled/alter_info.h'
--- drizzled/alter_info.h	2011-02-17 00:14:13 +0000
+++ drizzled/alter_info.h	2011-02-28 01:21:43 +0000
@@ -85,7 +85,7 @@
   List<AlterColumn> alter_list;
   List<Key> key_list;
   List<CreateField> create_list;
-  message::AlterTable alter_proto;
+  message::AddedFields added_fields_proto;
   std::bitset<32> flags;
   enum enum_enable_or_disable keys_onoff;
   enum tablespace_op_type tablespace_op;

=== modified file 'drizzled/message/table.proto'
--- drizzled/message/table.proto	2011-02-16 22:38:23 +0000
+++ drizzled/message/table.proto	2011-02-28 01:21:43 +0000
@@ -196,6 +196,6 @@
   optional ReplicationOptions replication_options= 16;
 }
 
-message AlterTable {
+message AddedFields {
   repeated Table.Field added_field = 1;
 }

=== modified file 'drizzled/parser.cc'
--- drizzled/parser.cc	2011-02-24 18:16:42 +0000
+++ drizzled/parser.cc	2011-02-28 01:21:43 +0000
@@ -390,8 +390,8 @@
   lex->charset= NULL;
   statement->column_format= COLUMN_FORMAT_TYPE_DEFAULT;
 
-  message::AlterTable &alter_proto= ((statement::CreateTable *)lex->statement)->alter_info.alter_proto;
-  lex->setField(alter_proto.add_added_field());
+  message::AddedFields &added_fields_proto= ((statement::CreateTable *)lex->statement)->alter_info.added_fields_proto;
+  lex->setField(added_fields_proto.add_added_field());
 }
 
 void storeAlterColumnPosition(LEX *lex, const char *position)

=== modified file 'drizzled/statement/create_table.cc'
--- drizzled/statement/create_table.cc	2011-02-23 13:15:31 +0000
+++ drizzled/statement/create_table.cc	2011-02-28 01:21:43 +0000
@@ -258,11 +258,11 @@
       else
       {
 
-        for (int32_t x= 0; x < alter_info.alter_proto.added_field_size(); x++)
+        for (int32_t x= 0; x < alter_info.added_fields_proto.added_field_size(); x++)
         {
           message::Table::Field *field= createTableMessage().add_field();
 
-          *field= alter_info.alter_proto.added_field(x);
+          *field= alter_info.added_fields_proto.added_field(x);
         }
 
         res= create_table(getSession(), 

